#ifndef LOGGER_H
#define LOGGER_H

// Уровни логирования
typedef enum {
    LOG_NORMAL, // И в VGA, и в Serial (для важных событий системы)
    LOG_DETAIL  // Только в Serial (детальная отладка, дампы регистров и т.д.)
} log_level_t;

// Инициализация подсистемы
void logger_init(void);

// Универсальная функция логирования
void klog(log_level_t level, const char* prefix, const char* message);

// Удобные обёртки для повседневного использования
void log_info(log_level_t level, const char* message);
void log_warn(log_level_t level, const char* message);
void log_error(log_level_t level, const char* message);

#endif
